LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XClassifiedObject Interface Referencepublished

represents common functionality for embedded objects More...

`import"XClassifiedObject.idl";`

Inheritance diagram for XClassifiedObject:

## Public Member Functions
sequence< byte > | getClassID ()
| retrieves class ID of the object. More...
string | getClassName ()
| retrieves symbolic name for the object type to be used in UI. More...
void | setClassInfo ([in] sequence< byte > aClassID, [in] string sClassName) raises ( ::com::sun::star::lang::NoSupportException )
| sets the class ID and symbolic name to an object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents common functionality for embedded objects

## Member Function Documentation

## ◆ getClassID()

sequence< byte > getClassID | ( |  | ) |

retrieves class ID of the object.

Returns
  unique class ID of the object

## ◆ getClassName()

string getClassName | ( |  | ) |

retrieves symbolic name for the object type to be used in UI.

Returns
  the symbolic name for the object

## ◆ setClassInfo()

void setClassInfo | ( | [in] sequence< byte > | aClassID,
|  | [in] string | sClassName
| ) |  |
raises | ( | ::com::sun::star::lang::NoSupportException
| ) |  |

sets the class ID and symbolic name to an object.

Parameters

  aClassID | the new class ID
  sClassName | the new symbolic name

Exceptions

  com::sun::star::lang::NoSupportException | in case changing of class information is not allowed

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XClassifiedObject.idl